" Vim syntax file
" Language: C++ Qt Add-ins
" Maintainer: Alison Watson <marrub@greyserv.net>

if exists('g:qt_cpp_disable')
  finish
endif

syntax keyword cOperator Q_LIKELY Q_UNLIKELY Q_UNREACHABLE Q_EMIT emit
syntax keyword cppAccess slots signals Q_SIGNALS Q_SLOTS
syntax keyword cppCast qobject_cast
syntax keyword cppConstant QT_POINTER_SIZE QT_VERSION QT_VERSION_STR
syntax keyword cppConstant Q_BIG_ENDIAN Q_BYTE_ORDER
syntax keyword cppSTLnamespace Qt
syntax keyword cppStatement Q_CLASSINFO Q_OBJECT Q_PROPERTY Q_DISABLE_COPY
syntax keyword cppStatement Q_DECLARE_ASSOCIATIVE_CONTAINER_METATYPE
syntax keyword cppStatement Q_DECLARE_METATYPE
syntax keyword cppStatement Q_DECLARE_OPAQUE_POINTER
syntax keyword cppStatement Q_DECLARE_SEQUENTIAL_CONTAINER_METATYPE
syntax keyword cppStatement Q_DECLARE_SMART_POINTER_METATYPE
syntax keyword cppStatement Q_DISABLE_COPY_MOVE Q_DISABLE_MOVE Q_ENUM
syntax keyword cppStatement Q_ENUM_NS Q_FLAG Q_FLAG_NS Q_GADGET Q_INTERFACES
syntax keyword cppStatement Q_INTERFACES Q_INVOKABLE Q_NAMESPACE Q_REVISION
syntax keyword cppStatement Q_SET_OBJECT_NAME forever
syntax keyword cppStorageClass Q_SIGNAL Q_SLOT
syntax keyword cppType qint8 qint16 qint32 qint64 qintptr qlonglong qptrdiff
syntax keyword cppType qreal qsizetype quint8 quint16 quint32 quint64
syntax keyword cppType quintptr qulonglong uchar uint ulong ushort

" EOF
